## ocaml-lastfm 0.1.0

=== examples/Makefile ===
# OCaml-Lastfm examples.
#
# Copyright 2007 by the Savonet team.
#
# $Id: Makefile 4694 2007-10-23 23:33:11Z smimram $

all clean:
	$(MAKE) -f Makefile.request $@
	$(MAKE) -f Makefile.submit $@

distclean: clean
	rm -rf autom4te.cache config.log config.status autom4te.cache

## ocaml-lastfm 0.3.0

=== examples/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 all clean:
 	$(MAKE) -f Makefile.request $@
 	$(MAKE) -f Makefile.submit $@
+	$(MAKE) -f Makefile.download $@
 
 distclean: clean
 	rm -rf autom4te.cache config.log config.status autom4te.cache

=== debian/changelog ===
ocaml-lastfm (0.3.0-4build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 21:38:38 -0600

ocaml-lastfm (0.3.0-4) unstable; urgency=medium

  * Team upload.
  * Port to ocamlnet 4.0.4

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 17 Oct 2015 00:05:17 +0200

ocaml-lastfm (0.3.0-3) unstable; urgency=low

  * Rebuild against latest packages. 
  * Update standards version to 3.9.4

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 27 Mar 2013 12:35:55 -0500

ocaml-lastfm (0.3.0-2) unstable; urgency=low

  * Rebuild against xmlplaylist 0.1.3

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 06 Jul 2011 01:45:07 -0500

ocaml-lastfm (0.3.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Fix versioned build-deps to ensure smoother backports

  [ Romain Beauxis ]
  * New upstream release.
  * Bumped standards version to 3.9.3
  * Switch to dpkg-source 3.0 (quilt) format

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 13 May 2011 11:05:13 -0500

ocaml-lastfm (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.3
  * Changed section to ocaml.
  * Use new automatic dependency system.
  * Enable debugging. 
  * Fixed Vcs-* fields.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 13 Oct 2009 19:44:02 -0500

ocaml-lastfm (0.1.3-2) unstable; urgency=low

  [ Samuel Mimram ]
  * Rebuild with OCaml 3.11.
  * Switch packaging to git.
  * Update compat to 7.
  * Update standards version to 3.8.0.
  * Use dh-ocaml.

  [ Romain Beauxis ]
  * Switched rules to cdbs. 
  * Used OPT: for files installed only when
    ocamlopt is available.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 09 Mar 2009 03:04:04 +0100

ocaml-lastfm (0.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 17 Sep 2008 18:53:50 +0200

ocaml-lastfm (0.1.2-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Romain Beauxis ]
  * New upstream release, now install .cmx file
  * Changed maintainer to Debian OCaml Maintainers
  * Updated doc-base section

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 31 Dec 2007 16:50:09 +0100

ocaml-lastfm (0.1.1-1) unstable; urgency=low

  *  New upstream release
  * Updated standards to 3.7.3 (no changes)
  * Moved maintainer to liquidsoap debian packaging

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 19 Dec 2007 01:28:19 +0100

ocaml-lastfm (0.1.0-2) unstable; urgency=low

  * Bumped package version for a new upload after ftp-master is back !
    (package was accepted just before it went down..)
    Closes: #448888)

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 13 Nov 2007 17:45:26 +0100

ocaml-lastfm (0.1.0-1) unstable; urgency=low

  * Initial release.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 03 Nov 2007 16:31:27 +0100

=== debian/control ===
Source: ocaml-lastfm
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, dh-ocaml (>= 0.9),
               ocaml-findlib (>= 1.2.4), libxmlplaylist-ocaml-dev (>= 0.1.3), 
               libocamlnet-ocaml-dev (>= 4.0.4~), libpcre-ocaml-dev (>= 6.0.1-2~)
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-lastfm.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-lastfm.git

Package: liblastfm-ocaml-dev
Architecture: any
Homepage: http://savonet.sourceforge.net/
Depends: ${ocaml:Depends}, ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to audioscrobbler and lastfm radios
 This OCaml module provides an API to audioscrobbler, the lastfm
 submission protocol, as well as the radio API, which allows one to 
 listen to lastfm streams/radios.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging
DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/liblastfm-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf Makefile src/Makefile src/META doc config.log config.status src/lastfm_constants.ml .pc \
	       examples/Makefile.download examples/Makefile.submit examples/Makefile.request

## ocaml-lastfm 0.3.2

=== debian/changelog ===
ocaml-lastfm (0.3.2-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version 0.3.2
  * Update uploaders
  * Convert copyright to machine-readable format
  * Bump Standards-Version to 4.5.0 (Use dh and debhelper-compat)
  * Drop old upstreamed patches
  * Install provided examples

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 20 Feb 2020 11:39:41 +0200

ocaml-lastfm (0.3.0-5) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Sep 2019 18:34:02 +0200

=== debian/control ===
Source: ocaml-lastfm
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper (>= 7.0.1),
               debhelper-compat (= 11),
               dh-ocaml (>= 0.9),
               libocamlnet-ocaml-dev (>= 4.0.4~),
               libpcre-ocaml-dev (>= 6.0.1-2~),
               libxmlplaylist-ocaml-dev (>= 0.1.3),
               ocaml-findlib (>= 1.2.4),
               ocaml-nox
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-lastfm.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-lastfm

Package: liblastfm-ocaml-dev
Architecture: any
Homepage: http://savonet.sourceforge.net/
Depends: ocaml-findlib, ${misc:Depends}, ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to audioscrobbler and lastfm radios
 This OCaml module provides an API to audioscrobbler, the lastfm
 submission protocol, as well as the radio API, which allows one to
 listen to lastfm streams/radios.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ocaml/ocamlvars.mk
DESTDIR := $(CURDIR)/debian/tmp

PACKAGE=liblastfm-ocaml
PACKAGE_DEV=liblastfm-ocaml-dev

export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export PKG_CONFIG_PATH=/usr/lib/$(DEB_BUILD_ARCH)/pkgconfig

%:
	dh $@ --with ocaml

override_dh_auto_clean:
	rm -rf Makefile src/Makefile src/META doc config.log config.status src/lastfm_constants.ml \
		.pc

override_dh_autoreconf:
	./bootstrap
	dh_autoreconf

override_dh_auto_install:
	mkdir -p $(DESTDIR)/$(OCAML_STDLIB_DIR)
	$(MAKE) install DESTDIR=$(DESTDIR) \
		prefix=$(DESTDIR)/usr sysconfdir=$(DESTDIR)/etc \
		OCAMLFIND_LDCONF=ignore \
		DOCDIR='$(DESTDIR)/usr/share/doc/$(PACKAGE_DEV)'
	dh_install

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d.]+)\///,\
  compression=gz \
  https://github.com/savonet/ocaml-lastfm/releases .download*/v?[\d.]+/ocaml-lastfm.([\d.]+).tar.gz

## ocaml-lastfm 0.3.3

=== debian/changelog ===
ocaml-lastfm (0.3.3-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 13:57:43 +0100

ocaml-lastfm (0.3.3-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 17:38:06 +0100

ocaml-lastfm (0.3.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set Homepage field in Source rather than Binary package.
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Kyle Robbertze ]
  * Update d/watch to use new upstream artifact naming
  * New upstream version 0.3.3
  * Use dune as upstream build system
  * Bump Standards-Version to 4.6.0 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 06 Dec 2021 11:19:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
-Build-Depends: debhelper (>= 7.0.1),
-               debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-ocaml (>= 0.9),
+               ocaml-dune (>= 2.0.0),
                libocamlnet-ocaml-dev (>= 4.0.4~),
                libpcre-ocaml-dev (>= 6.0.1-2~),
                libxmlplaylist-ocaml-dev (>= 0.1.3),
                ocaml-findlib (>= 1.2.4),
                ocaml-nox
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-lastfm.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-lastfm
+Homepage: http://savonet.sourceforge.net/
 
 Package: liblastfm-ocaml-dev
 Architecture: any
-Homepage: http://savonet.sourceforge.net/
 Depends: ocaml-findlib, ${misc:Depends}, ${ocaml:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to audioscrobbler and lastfm radios

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p lastfm

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@@ARCHIVE_EXT@%@PACKAGE@-$1.tar.gz%" \
    https://github.com/savonet/ocaml-lastfm/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ocaml-lastfm 0.3.4

=== debian/changelog ===
ocaml-lastfm (0.3.4-1build10) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Oct 2025 09:02:24 +0200

ocaml-lastfm (0.3.4-1build9) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Aug 2025 09:46:30 +0200

ocaml-lastfm (0.3.4-1build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 21:20:27 +0200

ocaml-lastfm (0.3.4-1build7) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:03:36 +0100

ocaml-lastfm (0.3.4-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:16:50 +0100

ocaml-lastfm (0.3.4-1build5) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 17:38:31 +0200

ocaml-lastfm (0.3.4-1build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 14:39:14 +0200

ocaml-lastfm (0.3.4-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:46:47 +0200

ocaml-lastfm (0.3.4-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:30:28 +0200

ocaml-lastfm (0.3.4-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Jul 2024 08:44:58 +0200

ocaml-lastfm (0.3.4-1) unstable; urgency=medium

  * New upstream version 0.3.4
  * Move from Pcre to Re

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 06 Apr 2024 09:57:53 +0100

ocaml-lastfm (0.3.3-4) unstable; urgency=medium

  * Team upload
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 06:07:25 +0200

ocaml-lastfm (0.3.3-3) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 07:29:30 +0200

ocaml-lastfm (0.3.3-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2023 08:24:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-ocaml (>= 0.9),
+               dh-ocaml (>= 1.2),
                ocaml-dune (>= 2.0.0),
                libocamlnet-ocaml-dev (>= 4.0.4~),
-               libpcre-ocaml-dev (>= 6.0.1-2~),
+               libre-ocaml-dev,
                libxmlplaylist-ocaml-dev (>= 0.1.3),
                ocaml-findlib (>= 1.2.4),
-               ocaml-nox
-Standards-Version: 4.6.0
+               ocaml
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-lastfm.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-lastfm
 Homepage: http://savonet.sourceforge.net/
